Pydev Remote Debugging Issues
@owen wrote: Following others' very helpful comments (thx. @Alain, @Angel, @stevebaer, @frist, et. al) I'm very close to getting remote debugging set up via eclipse & pydev. My problem is that...
View ArticlePython list box methods forget where they were
@DanBayn wrote: I know I've mentioned this before, but most of the list box methods used with Python fail to open where they were last closed. Also re-sizing is not retained between usages. The...
View ArticleCollecting Elements after a Permutation Operations
@vvgala wrote: Hi All,I am working on a script for a college and seem to be stuck at a point. I am performing a set of operations on a permutation of lines and need to collect the resulting objects...
View ArticleRhinoScript function IntersectSpheres doesn't work
@mathias wrote: Hi, I am trying to use Rhino.IntersectSpheres in RhinoScript without success. To test, I have copied this example from the help file page for the function (I just added the Rhino.Print...
View ArticlePython version of DivideCurveLength
@JimCarruthers wrote: I'm finally moving to Python from VBscript, and I have a hiccup with the DivideCurveLength function--actually it's a pretty big problem since I can't possibly "afford" to work...
View ArticleGetting morphed geometry out of a SpaceMorph... (python/RhinoCommon)
@Helvetosaur wrote: First time experimenting with morphs here in RhinoCommon. If I have the following: fsm=Rhino.Geometry.Morphs.FlowSpaceMorph(from_crv, to_crv, rev_1, rev_2, no_str)...
View ArticleVague Python script performance question
@JimCarruthers wrote: I'm working on converting a VBscript into Python, to learn Python and hopefully leverage some RhinoCommon stuff to speed it up. The script is for fitting (very specific) curves...
View ArticlePage with direct link to scripting resources from "Learn Rhino" page
@Helvetosaur wrote: Scripting manuals, etc. are currently thrown in with "developer resources". Personally, most of the students here and other people I know would assume that page is really only for...
View ArticleError in this script
@Charly wrote: Hi all! I'm working on the following script. The objective is that it asks you the number of decks of floors in a building. Then it will ask you the height of each deck, and the...
View Articlemake2d - define output layers through scripting
@AleksandarSM wrote: I know how to script MAKE2D command: rhino.command "-Make2D DrawingLayout=CurrentCPlane ShowTangentEdges=Yes CreateHiddenLines=Yes MaintainSourceLayers=No Enter ", False but is...
View ArticleRhinoscriptsyntax api page is broken
@Alberto wrote: The page http://developer.rhino3d.com/api/RhinoScriptSyntax/ used to have the documentation of the python package. It is not working anymore for me, anyone can tell me where I can find...
View ArticleProblems with trimming and intersecting surfaces
@Charly wrote: Hello all, I'm a bit stressed with the commands to trim or intersect surfaces or polysurfaces. I'm trying to make a very simple script that should give me the intersection curve of a...
View ArticleMaking Individual Blocks out of Multiple Objects at Once
@ShynnSup wrote: I was wondering if there is any way to create individual blocks for each object selected. For example, I have 100 curves, each with points on it. How can I create 100 blocks...
View ArticleObjectsByRegion error
@BrianM wrote: Trying to script a crossing selection using Rhino.ObjectsByRegion and the surfs and polysurfs filter 8, 16 or 24, doesn't select the surfs. The 0 filters selects them successfully. I've...
View ArticleNeed help - creating array
@Carl_Jarrett1 wrote: Hi everyone,Bare with me, I used to know Maxscript pretty well, and could write different scripts/macros to perform different tasks. This was over 10 years ago now, and this...
View ArticlePolyline.BreakAtAngle problem
@clement wrote: Hi all, I am trying to break a polyline at its angles until i get 4 segments out of it. So i thought this could just be done by increasing the angle. But for some reason, if fails on...
View ArticleSelect by lineweight
@benjamin wrote: Any possibility selecting by lineweight can be scripted? I have imported a vector pdf and would like to select specific lineweights to place them on a new layer. Any ideas? Posts: 4...
View ArticleSetting attributes of new objects
@JimCarruthers wrote: Hi, If I create a new curve or something from RhinoCommon(Python,) do I have to do something to it or actually add it to the document to be able to set/get the .Attributes...
View ArticleUpdating display conduit
@JimCarruthers wrote: Hi, I'm trying to use a display conduit to show progress on a script that involves drawing many many curves in succession. I've looked at the really basic sdk example about...
View ArticleDynamically updating geometry during curve point editing
@JimCarruthers wrote: So I've been mucking about learning about conduits, with the end goal of dynamically drawing some stuff during the control-point editing of a curve. What events to I need to...
View Article